package com.steering.ydm.bc;

import java.util.ArrayList;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

import com.steering.comm.db.DBCommon;

public class FrmBcOnPassage extends DBCommon{

	/***
	 * 查询所有在途
	 * @return
	 */
	public CoreReturnObject doQueryOnPassage(ArrayList<String> list)
	{
		String sql = CoreXmlSqlParsersFactory.getSql("FrmBcOnPassage.doQueryOnPassage");
		if(!list.get(0).equals(""))
		{
			sql += " AND JUDGE_STOVE_NO = '"+list.get(0)+"'";
		}
		sql += " GROUP BY T.OUTSTOCK_DOC,T.VEHICLE_NO,T.LOT_NO,T.STOVE_NO,T.JUDGE_STOVE_NO,T.BATCH_NO,T.BATCH_GROUD_NO,T.STORAGE_NO,T.TAR_STORAGE_NO,T.QCM_STAUS";
		return this.getData(sql);
	}
}
